> ## Documentation Index
> Fetch the complete documentation index at: https://api.veda.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Document Folders



## OpenAPI

````yaml GET /api/v1/personnel-file/document-folders
openapi: 3.1.0
info:
  title: VEDA API
  description: >
    The VEDA API is a unified API that provides access to various components of
    the VEDA HR Cloud. It simplifies

    the integration process by offering a single entry point for all API
    requests.
  contact:
    name: Eike Kempkes
    email: eike.kempkes@veda.net
  version: v1
servers:
  - url: https://your-environment.cloud.veda.net
security: []
paths:
  /api/v1/personnel-file/document-folders:
    get:
      tags:
        - personnel-file-controller
      operationId: getDocumentFolders
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocumentFolder'
components:
  schemas:
    DocumentFolder:
      type: object
      properties:
        id:
          type: string
          format: uuid
        label:
          type: string
          description: Display label of the folder.
        parentId:
          type: string
          format: uuid
          description: >-
            Folders can be nested one level deep. If this is a subfolder, this
            field contains the ID of the parent folder.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.